Updates a travel letter request

Updates a travel letter request

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:write works too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage employment documents (employment_documents)-Manage travel letters (travel_letter:write)
Company-scoped access token (assertion)Manage employment documents (employment_documents)-Manage travel letters (travel_letter:write)
Customer API tokenManage employment documents (employment_documents)-Manage travel letters (travel_letter:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Travel letter Request ID

Body Params

Travel letter Request

Schema for approved travel letter

string | null
string
enum
required
Allowed:
string
enum
required
Allowed:
string
enum
required
Allowed:
string
enum
required
Allowed:
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json